#include "Segment.h"


namespace snk {
	Segment::Segment(int gridX, int gridY, int radius, std::string direction) {
		setGrid(gridX, gridY);
		setRadius(radius);
		setDirection(direction);
	}

	Segment::~Segment(void) {
	}

	void Segment::setGrid(int gridX, int gridY) {
		Segment::gridX = gridX;
		Segment::gridY = gridY;
	}

	int Segment::getGridX(void) {
		return Segment::gridX;
	}

	int Segment::getGridY(void) {
		return Segment::gridY;
	}

	void Segment::setRadius(int radius) {
		Segment::radius = radius;
	}

	int Segment::getRadius(void) {
		return Segment::radius;
	}

	void Segment::setDirection(std::string direction) {
		Segment::direction = direction;
	}

	std::string Segment::getDirection() {
		return Segment::direction;
	}

	void Segment::gridMove(std::string direction) {
		if (direction == "left") {
			setGrid(getGridX() - 1, getGridY());
		}

		if (direction == "right") {
			setGrid(getGridX() + 1, getGridY());
		}

		if (direction == "up") {
			setGrid(getGridX(), getGridY() - 1);
		}

		if (direction == "down") {
			setGrid(getGridX(), getGridY() + 1);
		}
	}
}