#pragma once

#include <iostream>
#include <string>
#include <vector>


namespace snk {
	class Segment {
	private:
		int gridX;
		int gridY;
		int radius;
		std::string direction;

	public:
		Segment(int gridX, int gridY, int radius, std::string direction);
		~Segment(void);
		void setGrid(int gridX, int gridY);
		int getGridX(void);
		int getGridY(void);
		void setRadius(int radius);
		int getRadius(void);
		void setDirection(std::string direction);
		std::string getDirection();
		void gridMove(std::string direction);
	};
}
