#pragma once

#include <SFML/Graphics.hpp>
#include "Segment.h"
#include <iostream>
#include <string>
#include <vector>


namespace snk {
	class Snake {
	private:
		std::vector<Segment> segments;

	public:
		Snake(int gridX, int gridY, int radius, int length, std::string direction);
		~Snake(void);
		void createSegment(int gridX, int gridY, int radius, std::string direction);
		void killSegmentRange(int pos);
		void gridMove(void);
		void draw(sf::RenderWindow & rW);
		void input(sf::Event Event);
		void update(void);
	};
}